using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            bool da = true;
            for (int i = 0; i < n - 1; i++)
                if (int.Parse(s[i]) == k)
                {
                    Console.WriteLine(s[i + 1]);
                    da = false;
                }
            if (da)
                Console.WriteLine(s[0]);
        }
    }
}